Jump to content

New to Skyrim and mods


Recommended Posts

So, I recently got Skyrim SE since I never even played the original, and thought I would try it out since it was like 1/3rd price for the steam sale. halfway through the story, I realize that I could probably add some mods to better the experience. so I downloaded Vortex and all of the mods that I wanted, but when I loaded up my save, it said that one of my mods required Skyrim version 1.9.32 (something like that). Any idea what im doing wrong, or how to update my version of skyrim, since I thought steam would auto update it to the latest version for me

Link to comment

Assuming you have SKSE installed correctly it is important to understand that the SKSE version is tied to individual SkyrimSE.exe versions. In turn, mods that add script extenders using SKSE's plugin system also depend on particular SKSE versions.

 

This has proven problematic for Special Edition modding as Bethesda are pushing out regular updates to Skyrim for Creation Club and every time they do SKSE has to be updated, and every time SKSE is updated every SKSE plugin mod must also be updated.

 

In the short term, when installing mods always check if they require a particular SKSE version and ensure that it matches yours.

 

In the long term, make a backup of your current SkyrimSE.exe and disable automatic updates for Skyrim in Steam so you won't find yourself locked out of your game unexpectedly. So far the later updates have been purely CC related so you won't be missing out on anything by not getting them.

Link to comment
4 hours ago, Sailing Rebel said:

Assuming you have SKSE installed correctly

I had one version of SKSE installed via Vortex, and when that didnt work, I installed a different one (I believe that I got the "current build 1.7.3." and "current SE build" found here: http://skse.silverlock.org/  )

So if you know a place where I could get a better version, that would be greatly appreciated.

As far as disabling automatic updates, the best I could do was set the game to only update on launch, as there was no setting in either steam settings or the settings for SkyrimSE. not sure if im blind, but thats all I found, besides backing up the game files.

Finally, this one is a little specific, but I just realized im missing a required mod for a few of the ones I have. It says Devious Devices - assets, but I look on nexus as well as here and I cant find where to get it.

 

any help for any of this is appreciated!

Link to comment
2 minutes ago, Dizerel said:

I had one version of SKSE installed via Vortex, and when that didnt work, I installed a different one (I believe that I got the "current build 1.7.3." and "current SE build" found here: http://skse.silverlock.org/  )

So if you know a place where I could get a better version, that would be greatly appreciated.

As far as disabling automatic updates, the best I could do was set the game to only update on launch, as there was no setting in either steam settings or the settings for SkyrimSE. not sure if im blind, but thats all I found, besides backing up the game files.

Finally, this one is a little specific, but I just realized im missing a required mod for a few of the ones I have. It says Devious Devices - assets, but I look on nexus as well as here and I cant find where to get it.

 

any help for any of this is appreciated!

Check the Silverlock page again. You need SKSE v2.0.12 which is for Skyrim SE v1.5.62. v1.7.3 is for Skyrim LE and will not work.

 

The trick with Steam is to never launch Skyrim through the Steam client, only with the SKSE launcher. Steam can still force an update on occasion which is why it's important to keep a backup of SkyrimSE.exe so you can perform a rollback easily.

 

Devious Devised Assest for SE can be downloaded here where it is listed as "DDa" in the download popup.

Link to comment
59 minutes ago, Sailing Rebel said:

Check the Silverlock page again. You need SKSE v2.0.12 which is for Skyrim SE v1.5.62. v1.7.3 is for Skyrim LE and will not work.

 

The trick with Steam is to never launch Skyrim through the Steam client, only with the SKSE launcher. Steam can still force an update on occasion which is why it's important to keep a backup of SkyrimSE.exe so you can perform a rollback easily.

 

Devious Devised Assest for SE can be downloaded here where it is listed as "DDa" in the download popup.

Thank you so much! Im not quite sure how to launch skyrim without steam, since I bought it through steam, but ill mess around with stuff and try and figure it all out!

Link to comment
33 minutes ago, Dizerel said:

Thank you so much! Im not quite sure how to launch skyrim without steam, since I bought it through steam, but ill mess around with stuff and try and figure it all out!

With the SKSE you get a file called SKSE-loader.exe (it's in the root directory of the game, where SkyrimSE.exe is too). You need to use that for SKSE to work at all, and as long as you always start the game with that and have updates set to only start when game is launched in Steam you'll bypass the updates. For me, if I forgot to start Steam even using SKSE-launcher would start Steams, and game would get updated, so for that reason only Steam is set to start with Windows.

Link to comment
5 hours ago, Kaarinah said:

With the SKSE you get a file called SKSE-loader.exe (it's in the root directory of the game, where SkyrimSE.exe is too). You need to use that for SKSE to work at all, and as long as you always start the game with that and have updates set to only start when game is launched in Steam you'll bypass the updates. For me, if I forgot to start Steam even using SKSE-launcher would start Steams, and game would get updated, so for that reason only Steam is set to start with Windows.

How would I get to that if I have SKSE downloaded through vortex? I checked my files for SKSE-loader.exe (actually went in to my PC and had it scan all files after I looked myself and nothing came up) Did I download it wrong? sorry that im so dense, ive never done any sort of modding for any game before.

Link to comment
8 hours ago, Dizerel said:

How would I get to that if I have SKSE downloaded through vortex? I checked my files for SKSE-loader.exe (actually went in to my PC and had it scan all files after I looked myself and nothing came up) Did I download it wrong? sorry that im so dense, ive never done any sort of modding for any game before.

I don't use Vortex or MO, but as far as I understand you are supposed to be able to start with SKSE-loader from inside Vortex, the same way you run FNIS via Vortex. Again, not using it myself, just going by what I've come across in posts now and then.

Link to comment
10 hours ago, Kaarinah said:

I don't use Vortex or MO, but as far as I understand you are supposed to be able to start with SKSE-loader from inside Vortex, the same way you run FNIS via Vortex. Again, not using it myself, just going by what I've come across in posts now and then.

Alright. I thought I got everything working, and almost all of it did, but when I played the game, if something happened that would initiate sex, the actors got teleported into the right positions, the sounds played out, but there were no animations. IDK whats going wrong. I think I messed up my install and load order, so any help with that would be appreciated

Link to comment
1 hour ago, Dizerel said:

Alright. I thought I got everything working, and almost all of it did, but when I played the game, if something happened that would initiate sex, the actors got teleported into the right positions, the sounds played out, but there were no animations. IDK whats going wrong. I think I messed up my install and load order, so any help with that would be appreciated

You did use FNIS? And LOOT is a good start for load order.

Link to comment
40 minutes ago, Kaarinah said:

You did use FNIS? And LOOT is a good start for load order.

Yeah was installed in vortex. also, I dont know how to get LOOT to tell me what my load order should be, as well as the fact that im clueless on my install order

Link to comment

Archived

This topic is now archived and is closed to further replies.

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...

Important Information

We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue. For more information, see our Privacy Policy & Terms of Use